import request from '@/config/axios';
import type { TableData } from './types';

/** 获取表格数据 */
export const getOperationLogListApi = (data: any) => {
  return request.postJson({ url: '/srdb/spi/srdb/OperationLog/OperationLogQueryPage', data });
};

/** 批量删除 */
export const delOperationLogListApi = (list: string[] | number[]): Promise<IResponse> => {
  const _list = list.map(v => {
    return {
      id: v.id,
    };
  });
  return request.postJson({
    url: '/srdb/spi/srdb/OperationLog/OperationLogBatchDelete',
    data: {
      list: _list,
    },
  });
};

/** 删除 */
export const delOperationLogApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/OperationLog/OperationLogDelete', data: { id } });
};

/** 保存 */
export const saveOperationLogApi = (data: Partial<TableData>): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/OperationLog/OperationLogSave', data });
};

/** 查询单条数据 */
export const queryOperationLogApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/OperationLog/OperationLogQueryOne', data: { id } });
};

/** 同步导入 */
export const importExcelApiUrl = '/srdb/sui/srdb/OperationLog/OperationLogImportExcel';

/** 异步导入 */
export const importExcelAsyncApiUrl = '/srdb/sui/srdb/OperationLog/OperationLogImportAsyncExcel';

/** 导出 */
export const exportExcelApi = (params: any) => {
  return request.doExport({ url: '/srdb/sdi/srdb/OperationLog/OperationLogExportXls', params });
};

/** 获取某个字典 */
export const getCsckCheckType = ({ paramName, systemCode }): Promise<IResponse> => {
  return request.postJson({
    url: '/param/spi/param/systemparam',
    data: {
      paramName: paramName,
      systemCode: systemCode,
    },
  });
};

